Subject: Re: Problems handling Ctrl-C on dual-processor machine incygwin
From: Sudheer Tumuluru <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 May 2002 13:13:06 -0700

I have already read through the threads on the mailing list for Ctrl-C and
signaling in cygwin; but it had nothing related to dual-processor boxes. So my
question is just to confirm if it is the multiple processors which are causing
this problem. If a detailed discussion already exists on the mailing list for
this, could you please send the URL to the start of that thread.

Thanks in advance,
Sudheer

"Larry Hall (RFK Partners, Inc)" wrote:

> At 05:58 PM 5/13/2002, Sudheer Tumuluru wrote:
> >Hi,
> >         I have a Perl script which encapsulates a Win32 application: it
> >does some pre-launch stuff, launches the Win32 application, waits for it
> >to terninate and then does some other stuff at the end. I am executing
> >this script from within Command-prompt (cmd.exe) on Windows 2000
> >Professional SP2(Cygwin 1.3.10-1).
> >
> >           I have a single-processor box and it seems to handle Ctrl-C on
> >the embedded Win32 app. well: both from the bash shell and the
> >cmd-shell. The app. stops and Perl script continues execution. But on a
> >dual-processor box, the Win32 app. terminates cleanly but the Perl
> >script doesn't continue... it seems to be getting the signal as well;
> >and as a result terminates in the middle. I don't have problems doing
> >the same from the bash prompt (in cygwin on the same box), but only from
> >the cmd-prompt! Cannot reproduce it on a single-proc box at all.
> >
> >         Can somebody provide some insight into how to fix this
> >problem? Is it a problem with some cygwin configuration or a genuine bug
> >(of the interaction between Cygwin and the cmd.exe shell)?
>
> It's not a configuration issue.  As to whether it's a bug with Cygwin or
> not, you're probably best reviewing the email archives for discussions about
> signals and CTRL-C.  This will provide you the background you'll need if you
> want to look more closely at this issue.  Signals and Win32 interaction with
> them is a tricky area and not something that can be summed up in one email
> message.
>
> HTH,
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 838 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/